# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section       free
%define sbver         1.0

Name:           openejb31
Summary:        OpenEJB embeddable EJB3 container
Url:            http://openejb.apache.org/
Version:        3.1.4
Release:        1%{?dist}
Epoch:          0
License:        Apache 2.0 License
Group:          Development/Libraries
Source0:        openejb31-3.1.4.tgz
# svn export http://svn.apache.org/repos/asf/openejb/tags/openejb-3.1.4/ openejb31-3.1.4
# tar czf openejb31-3.1.4.tgz openejb31-3.1.4/

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        myfaces-5.pom
Patch0:         openejb31-activemq4-pom.patch
Patch1:         openejb31-webservices-pom.patch
Patch2:         openejb31-axis2-AxisServiceGenerator.patch
Patch3:         openejb31-axis2-HandlerLifecycleManagerImpl.patch
Patch4:         openejb31-axis2-Axis2ClientConfigurationFactory.patch
Patch5:         openejb31-axis2-EjbInterceptor.patch
Patch6:         openejb31-axis2-PojoEndpointLifecycleManagerFactory.patch
Patch7:         openejb31-server-cxf-pom.patch
Patch8:         openejb31-examples-pom.patch
Patch9:         openejb31-examples-webapps-pom.patch
Patch10:        openejb31-examples-moviefun-pom.patch
Patch11:        openejb31-webservice-ws-security-pom.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-ear
BuildRequires:  maven2-plugin-ejb
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-release
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-tomcat
BuildRequires:  apache-jar-resource-bundle
BuildRequires:  geronimo-genesis
BuildRequires:  geronimo-genesis2
BuildRequires:  junit4
BuildRequires:  openejb-javaee-5.0-apis
BuildRequires:  swizzle-dependency-report-plugin

BuildRequires:  activemq4
BuildRequires:  activemq4-ra
BuildRequires:  activemq5-core
BuildRequires:  activemq5-kahadb
BuildRequires:  activemq5-ra
BuildRequires:  annogen
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-dbcp
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-cxf22-bundles
BuildRequires:  axis
BuildRequires:  axis2-adb
BuildRequires:  axis2-kernel
BuildRequires:  axis2-java2wsdl
BuildRequires:  axis2-jaxws-2.0-api
BuildRequires:  axis2-jaxws
BuildRequires:  axis2-jws-api
BuildRequires:  axis2-metadata
BuildRequires:  axis2-saaj-1.1-api
BuildRequires:  axis2-saaj
BuildRequires:  cglib21
BuildRequires:  derby
BuildRequires:  geronimo-javamail-1.4-api
BuildRequires:  geronimo-txmanager
BuildRequires:  hc-httpcore
BuildRequires:  hc-project
BuildRequires:  howl-logger
BuildRequires:  hsqldb
BuildRequires:  jaxen
BuildRequires:  jetty6-embedded
BuildRequires:  log4j
BuildRequires:  myfaces-core12-impl
BuildRequires:  myfaces-maven-master-pom
BuildRequires:  myfaces-tomahawk
BuildRequires:  objectweb-asm
BuildRequires:  openjpa
BuildRequires:  opensaml
BuildRequires:  felix-osgi-compendium
BuildRequires:  quartz
BuildRequires:  regexp
BuildRequires:  rmock
BuildRequires:  serp
BuildRequires:  spring2-jms
BuildRequires:  sun-jaxb-2.1-impl
BuildRequires:  sun-saaj-1.3-impl
BuildRequires:  swizzle-stream
BuildRequires:  tomcat6-lib
BuildRequires:  ws-commons-axiom
BuildRequires:  ws-commons-neethi
BuildRequires:  ws-commons-XmlSchema
BuildRequires:  wsdl4j
BuildRequires:  wss4j
BuildRequires:  xbean
BuildRequires:  xmlbeans
BuildRequires:  xmlunit
BuildRequires:  xml-commons-resolver12

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5
Requires:  java >= 0:1.6.0
Requires:  activemq4
Requires:  activemq4-ra
Requires:  annogen
Requires:  apache-commons-cli
Requires:  apache-commons-codec
Requires:  apache-commons-collections
Requires:  apache-commons-dbcp
Requires:  apache-commons-httpclient
Requires:  apache-commons-lang
Requires:  apache-commons-logging
Requires:  apache-cxf22-bundles
Requires:  objectweb-asm
Requires:  axis
Requires:  axis2
Requires:  cglib21
Requires:  derby
Requires:  howl-logger
Requires:  hsqldb
Requires:  javamail_1_4_api
Requires:  jaxen
Requires:  jetty6-embedded
Requires:  log4j
Requires:  openjpa
Requires:  felix-osgi-compendium
Requires:  quartz
Requires:  regexp
Requires:  serp
Requires:  sun-jaxb-2.1-impl
Requires:  sun-saaj-1.3-impl
Requires:  swizzle-stream
Requires:  ws-commons-axiom
Requires:  ws-commons-neethi
Requires:  ws-commons-XmlSchema
Requires:  wsdl4j
Requires:  xbean
Requires:  xmlbeans
Requires:  xml-commons-resolver12


BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Apache OpenEJB is an embeddable and lightweight EJB 3.0 
implementation that can be used as a standalone server or 
embedded into Tomcat, JUnit, TestNG, Eclipse, IntelliJ, 
Maven, Ant, and any IDE or application. OpenEJB is included
in Apache Geronimo, IBM WebSphere Application Server CE, 
and Apple's WebObjects. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q 
chmod -R go=u-w *
for f in $(find . -name "*.jar"); do
  mv $f $f.no
done
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%patch8 -b .sav8
%patch9 -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11
cp %{SOURCE1} settings.xml

%build
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL/
mkdir -p $MAVEN_REPO_LOCAL/org/apache/myfaces/myfaces/5/
cp %{SOURCE3} $MAVEN_REPO_LOCAL/org/apache/myfaces/myfaces/5/myfaces-5.pom

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export SETTINGS=$(pwd)/settings.xml
export MAVEN_OPTS="-Xmx768m -XX:MaxPermSize=128m"
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven.test.failure.ignore=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install 

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dmaven.test.failure.ignore=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap org.apache.openejb openejb %{version} JPP %{name}
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

%add_to_maven_depmap org.apache.openejb api %{version} JPP %{name}-api
install -m 644 api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-api.pom

%add_to_maven_depmap org.apache.openejb ejb31-api-experimental %{version} JPP/%{name} ejb31-api-experimental
install -m 644 api/ejb31-api-experimental/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ejb31-api-experimental.pom
install -m 644 api/ejb31-api-experimental/target/ejb31-api-experimental-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ejb31-api-experimental-%{version}.jar

%add_to_maven_depmap org.apache.openejb container %{version} JPP/%{name} container
install -m 644 container/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-container.pom

%add_to_maven_depmap org.apache.openejb openejb-api %{version} JPP/%{name} api
install -m 644 container/openejb-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-api.pom
install -m 644 container/openejb-api/target/openejb-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/api-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-core %{version} JPP/%{name} core
install -m 644 container/openejb-core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
install -m 644 container/openejb-core/target/openejb-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-javaagent %{version} JPP/%{name} javaagent
install -m 644 container/openejb-javaagent/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-javaagent.pom
install -m 644 container/openejb-javaagent/target/openejb-javaagent-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/javaagent-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-jee %{version} JPP/%{name} jee
install -m 644 container/openejb-jee/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jee.pom
install -m 644 container/openejb-jee/target/openejb-jee-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jee-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-loader %{version} JPP/%{name} loader
install -m 644 container/openejb-loader/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-loader.pom
install -m 644 container/openejb-loader/target/openejb-loader-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/loader-%{version}.jar

%add_to_maven_depmap org.apache.openejb examples %{version} JPP/%{name} examples
install -m 644 examples/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-examples.pom

%add_to_maven_depmap org.superbiz component-interfaces %{sbver} JPP/%{name} component-interfaces
install -m 644 examples/component-interfaces/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-component-interfaces.pom
install -m 644 examples/component-interfaces/target/component-interfaces-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/component-interfaces-%{sbver}.jar

%add_to_maven_depmap org.superbiz custom-injection %{sbver} JPP/%{name} custom-injection
install -m 644 examples/custom-injection/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-custom-injection.pom
install -m 644 examples/custom-injection/target/custom-injection-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/custom-injection-%{sbver}.jar

%add_to_maven_depmap org.superbiz helloworld-weblogic %{sbver} JPP/%{name} helloworld-weblogic
install -m 644 examples/helloworld-weblogic/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-helloworld-weblogic.pom
install -m 644 examples/helloworld-weblogic/target/helloworld-weblogic-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/helloworld-weblogic-%{sbver}.jar

%add_to_maven_depmap org.superbiz injection-of-datasource %{sbver} JPP/%{name} injection-of-datasource
install -m 644 examples/injection-of-datasource/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-injection-of-datasource.pom
install -m 644 examples/injection-of-datasource/target/injection-of-datasource-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/injection-of-datasource-%{sbver}.jar

%add_to_maven_depmap org.superbiz injection-of-ejbs %{sbver} JPP/%{name} injection-of-ejbs
install -m 644 examples/injection-of-ejbs/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-injection-of-ejbs.pom
install -m 644 examples/injection-of-ejbs/target/injection-of-ejbs-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/injection-of-ejbs-%{sbver}.jar

%add_to_maven_depmap org.superbiz injection-of-entitymanager %{sbver} JPP/%{name} injection-of-entitymanager
install -m 644 examples/injection-of-entitymanager/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-injection-of-entitymanager.pom
install -m 644 examples/injection-of-entitymanager/target/injection-of-entitymanager-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/injection-of-entitymanager-%{sbver}.jar

%add_to_maven_depmap org.superbiz injection-of-env-entry %{sbver} JPP/%{name} injection-of-env-entry
install -m 644 examples/injection-of-env-entry/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-injection-of-env-entry.pom
install -m 644 examples/injection-of-env-entry/target/injection-of-env-entry-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/injection-of-env-entry-%{sbver}.jar

%add_to_maven_depmap org.superbiz interceptors %{sbver} JPP/%{name} interceptors
install -m 644 examples/interceptors/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-interceptors.pom
install -m 644 examples/interceptors/target/interceptors-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/interceptors-%{sbver}.jar

%add_to_maven_depmap org.superbiz jpa-hibernate %{sbver} JPP/%{name} jpa-hibernate
install -m 644 examples/jpa-hibernate/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jpa-hibernate.pom
install -m 644 examples/jpa-hibernate/target/jpa-hibernate-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jpa-hibernate-%{sbver}.jar

%add_to_maven_depmap org.superbiz simple-stateful %{sbver} JPP/%{name} simple-stateful
install -m 644 examples/simple-stateful/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-simple-stateful.pom
install -m 644 examples/simple-stateful/target/simple-stateful-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/simple-stateful-%{sbver}.jar

%add_to_maven_depmap org.superbiz simple-stateless %{sbver} JPP/%{name} simple-stateless
install -m 644 examples/simple-stateless/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-simple-stateless.pom
install -m 644 examples/simple-stateless/target/simple-stateless-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/simple-stateless-%{sbver}.jar

%add_to_maven_depmap org.superbiz simple-webservice %{sbver} JPP/%{name} simple-webservice
install -m 644 examples/simple-webservice/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-simple-webservice.pom
install -m 644 examples/simple-webservice/target/simple-webservice-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/simple-webservice-%{sbver}.jar

%add_to_maven_depmap org.superbiz telephone-stateful %{sbver} JPP/%{name} telephone-stateful
install -m 644 examples/telephone-stateful/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-telephone-stateful.pom
install -m 644 examples/telephone-stateful/target/telephone-stateful-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/telephone-stateful-%{sbver}.jar

%add_to_maven_depmap org.superbiz testing-security %{sbver} JPP/%{name} testing-security
install -m 644 examples/testing-security/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-testing-security.pom
install -m 644 examples/testing-security/target/testing-security-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/testing-security-%{sbver}.jar

%add_to_maven_depmap org.superbiz testing-transactions %{sbver} JPP/%{name} testing-transactions
install -m 644 examples/testing-transactions/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-testing-transactions.pom
install -m 644 examples/testing-transactions/target/testing-transactions-%{sbver}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/testing-transactions-%{sbver}.jar

%add_to_maven_depmap org.apache.openejb itests %{version} JPP/%{name} itests
install -m 644 itests/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-itests.pom

%add_to_maven_depmap org.apache.openejb openejb-itests-app %{version} JPP/%{name} itests-app
install -m 644 itests/openejb-itests-app/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-itests-app.pom
install -m 644 itests/openejb-itests-app/target/openejb-itests-app-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-itests-app-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-itests-beans %{version} JPP/%{name} itests-beans
install -m 644 itests/openejb-itests-beans/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-itests-beans.pom
install -m 644 itests/openejb-itests-beans/target/openejb-itests-beans-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-itests-beans-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-itests-client %{version} JPP/%{name} itests-client
install -m 644 itests/openejb-itests-client/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-itests-client.pom
install -m 644 itests/openejb-itests-client/target/openejb-itests-client-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-itests-client-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-itests-interceptor-beans %{version} JPP/%{name} itests-interceptor-beans
install -m 644 itests/openejb-itests-interceptor-beans/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-itests-interceptor-beans.pom
install -m 644 itests/openejb-itests-interceptor-beans/target/openejb-itests-interceptor-beans-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-itests-interceptor-beans-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-itests-servlets %{version} JPP/%{name} itests-servlets
install -m 644 itests/openejb-itests-servlets/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-itests-servlets.pom
install -m 644 itests/openejb-itests-servlets/target/openejb-itests-servlets-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-itests-servlets-%{version}.jar

%add_to_maven_depmap org.apache.openejb server %{version} JPP/%{name} openejb-server
install -m 644 server/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-openejb-server.pom

%add_to_maven_depmap org.apache.openejb openejb-activemq %{version} JPP/%{name} activemq
install -m 644 server/openejb-activemq/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-activemq.pom
install -m 644 server/openejb-activemq/target/openejb-activemq-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-activemq-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-admin %{version} JPP/%{name} admin
install -m 644 server/openejb-admin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-admin.pom
install -m 644 server/openejb-admin/target/openejb-admin-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-admin-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-axis2 %{version} JPP/%{name} axis2
install -m 644 server/openejb-axis2/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-axis2.pom
install -m 644 server/openejb-axis2/target/openejb-axis2-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-axis2-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-axis %{version} JPP/%{name} axis
install -m 644 server/openejb-axis/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-axis.pom
install -m 644 server/openejb-axis/target/openejb-axis-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-axis-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-client %{version} JPP/%{name} client
install -m 644 server/openejb-client/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-client.pom
install -m 644 server/openejb-client/target/openejb-client-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-client-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-corba %{version} JPP/%{name} corba
install -m 644 server/openejb-corba/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-corba.pom
install -m 644 server/openejb-corba/target/openejb-corba-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-corba-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-cxf %{version} JPP/%{name} cxf
install -m 644 server/openejb-cxf/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cxf.pom
install -m 644 server/openejb-cxf/target/openejb-cxf-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-cxf-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-derbynet %{version} JPP/%{name} derbynet
install -m 644 server/openejb-derbynet/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-derbynet.pom
install -m 644 server/openejb-derbynet/target/openejb-derbynet-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-derbynet-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-ejbd %{version} JPP/%{name} ejbd
install -m 644 server/openejb-ejbd/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ejbd.pom
install -m 644 server/openejb-ejbd/target/openejb-ejbd-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-ejbd-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-hsql %{version} JPP/%{name} hsql
install -m 644 server/openejb-hsql/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hsql.pom
install -m 644 server/openejb-hsql/target/openejb-hsql-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-hsql-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-http %{version} JPP/%{name} http
install -m 644 server/openejb-http/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-http.pom
install -m 644 server/openejb-http/target/openejb-http-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-http-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-server %{version} JPP/%{name} server
install -m 644 server/openejb-server/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-server.pom
install -m 644 server/openejb-server/target/openejb-server-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-server-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-telnet %{version} JPP/%{name} telnet
install -m 644 server/openejb-telnet/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-telnet.pom
install -m 644 server/openejb-telnet/target/openejb-telnet-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-telnet-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-webadmin %{version} JPP/%{name} webadmin
install -m 644 server/openejb-webadmin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webadmin.pom
install -m 644 server/openejb-webadmin/target/openejb-webadmin-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-webadmin-%{version}.jar

%add_to_maven_depmap org.apache.openejb openejb-webservices %{version} JPP/%{name} webservices
install -m 644 server/openejb-webservices/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webservices.pom
install -m 644 server/openejb-webservices/target/openejb-webservices-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/openejb-webservices-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{sbver}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{sbver}||g"`; done)

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 examples/webapps/ejb-examples/target/ejb-examples-1.0.war $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 itests/openejb-itests-app/target/openejb-itests-app-%{version}.ear $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 itests/openejb-itests-web/target/openejb-itests-web-%{version}.war $RPM_BUILD_ROOT%{_datadir}/%{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%doc LICENSE

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/*

%changelog
* Mon Jul 18 2011 Ralph Apel <r.apel at r-apel.de> 0:3.1.4-1
- First release
